<?php
/**
 * Block Patterns
 *
 * @package commercial_cleaning
 * @since 1.0
 */

function commercial_cleaning_register_block_patterns() {
	$commercial_cleaning_block_pattern_categories = array(
		'commercial-cleaning' => array( 'label' => esc_html__( 'Commercial Cleaning', 'commercial-cleaning' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'commercial-cleaning' ) ),
	);

	$commercial_cleaning_block_pattern_categories = apply_filters( 'commercial_cleaning_commercial_cleaning_block_pattern_categories', $commercial_cleaning_block_pattern_categories );

	foreach ( $commercial_cleaning_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'commercial_cleaning_register_block_patterns', 9 );